<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button expand="block" (click)="goback()" routerDirection="backward">
        <ion-icon name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Tache</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <!-- list with animation on iteration  -->
    <ion-list>
      <!-- @itemState for animation  -->
      <ion-item @itemState *ngFor="let task of taches"   (click)="openMenu(task)">
        <ion-avatar slot="start" *ngIf="(task.date_debut | date: 'yyyy-M-d') == today">
          {{task.date_debut | date: 'dd-MM-yyyy'}} 
        </ion-avatar>
        <ion-label *ngIf="(task.date_debut | date: 'yyyy-M-d') == today">
          <h2>{{ task.nom }}</h2>
          {{task.progression *100}} %
          <p>{{task.commentaire}}</p>
          <ion-progress-bar [value]="task.progression"></ion-progress-bar>
        </ion-label>
      </ion-item>
    </ion-list>
 <button class="add btn btn-primary" (click)="openModal()"  full>+</button>
</ion-content>
